[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TSetCheckboxStateEvent

Specifies an event handler signalled to set the state for a check box cell in a grid.

## Declaration

Source position: grids.pas line 1394

`type TSetCheckboxStateEvent = procedure(`
`Sender: TObject;`
`ACol: Integer;`
`ARow: Integer;`
`const Value: TCheckBoxState`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`ACol` |  | Column number for the modified cell.
`ARow` |  | Row number for the modified cell.
`Value` |  | New check box state for the cell.

## Description

TSetCheckboxStateEvent is an object procedure type which specifies an event handler signalled to set the state for a check box cell in a grid control. TSetCheckboxStateEvent is the type used to implement the OnSetCheckboxState property in TCustomDrawGrid.

See TGetCheckboxStateEvent for the event handler signalled to get the value for a check box cell in a grid control.

## See also

TCustomDrawGrid.OnSetCheckboxState |  | Event handler signalled to set the state for a check box cell.
TGetCheckboxStateEvent |  | Specifies an event handler signalled to get the state for a check box cell in a grid.